Get Statement

GET /statement

Returns transaction history for the authenticated account.

Headers

Name
Value

Content-Type

application/json

Authorization

Bearer <token>

Query Params

Name
Type
Description

start_date

string

Starting on date

end_date

string

Ending on date

page

string

Page number if has more than 1

Response

{
  "statusCode": 200,
  "statusMessage": "Request successful",
  "payload": {
    "transactions": [
       {
        "id": "22a0382d-0d2f-4ba1-b3c9-1d499d86b794",
        "account_id": "a621cbfc-062b-4896-894f-165750bee9ce",
        "amount": 30000,
        "created_at": "2025-07-10T08:13:40.199Z",
        "description": "Testing Deposit",
        "metadata": {
         "type": "wire-transfer",
         "description": "Testing Deposit",
         "reference": "Testing"
        },
        "status": "APPLIED",
        "type": "credit",
        "updated_at": "2025-07-10T08:15:21.655Z"
       },
      {...}
   ],
   "traceId": "gdlyfx1kn79mm0e66an",
   "hasMore": true
  }
}

Last updated